# vs-starter

Creates a docker configuration using the rendered helm templates

## Install

Can be installed by cloning and running

```shell
python setup.py install
```


## Usage

The package works on rendered helm templates so the templates from helm should be
rendered first with:

```shell
helm template <stack-name> chart --output-dir <output-dir> --values values.custom.yaml
```

Afterwards the `vs_starter` command is available:

```shell
Usage: vs_starter [OPTIONS] HELM_CONFIG_PATH OUTPUT_PATH

Options:
  -p, --param KEY=VALUE  parameters for the jinja templates [slug,
                         service_url, release_version, sftp,
                         shibauth_renderer, shibauth_cache]  [required]
  --help                 Show this message and exit.
```
